Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.lowagie.toolbox.arguments
Class PageSizeArgument

    java.lang.Object
      com.lowagie.toolbox.arguments.AbstractArgument
          com.lowagie.toolbox.arguments.OptionArgument
              com.lowagie.toolbox.arguments.PageSizeArgument

All Implemented Interfaces:
  java.awt.event.ActionListener, java.beans.PropertyChangeListener, java.util.EventListener

    public class PageSizeArgument

extends OptionArgument

Argument that can be one of several options.

Since:
  2.1.1 (imported from itexttoolbox project)

Nested Class Summary

Nested classes/interfaces inherited from class com.lowagie.toolbox.arguments.OptionArgument
`OptionArgument.Entry`

Field Summary
`private java.util.TreeMap<java.lang.Object,java.lang.Object>` | `options`

Fields inherited from class com.lowagie.toolbox.arguments.AbstractArgument
`description, name, pcs, tool, value`

Constructor Summary
`PageSizeArgument(AbstractTool tool, java.lang.String name, java.lang.String description)` Constructs an OptionArgument.

Method Summary
`void` | `actionPerformed(java.awt.event.ActionEvent evt)`
`void` | `addOption(java.lang.Object description, java.lang.Object value)` Adds an Option.
`java.lang.Object` | `getArgument()` Gets the argument as an object.
`java.util.TreeMap<java.lang.Object,java.lang.Object>` | `getOptions()` Gets the options.
`java.lang.String` | `getUsage()` Give you a String that can be used in a usage description.
`java.lang.String` | `toString()` Returns a string representation of the object.

Methods inherited from class com.lowagie.toolbox.arguments.AbstractArgument
`addPropertyChangeListener, firePropertyChange, getDescription, getName, getTool, getValue, propertyChange, removePropertyChangeListener, setDescription, setName, setTool, setValue, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### options

    private java.util.TreeMap<java.lang.Object,java.lang.Object> options

Constructor Detail

### PageSizeArgument

    public PageSizeArgument(AbstractTool tool,
                            java.lang.String name,
                            java.lang.String description)

  Constructs an OptionArgument.

  Parameters:
    `tool` - the tool that needs this argument
    `name` - the name of the argument
    `description` - the description of the argument

Method Detail

### addOption

    public void addOption(java.lang.Object description,
                          java.lang.Object value)

  Adds an Option.

  Overrides:
    `addOption` in class `OptionArgument`
  Parameters:
    `description` - the description of the option
    `value` - the value of the option

### getOptions

    public java.util.TreeMap<java.lang.Object,java.lang.Object> getOptions()

  Gets the options.

  Returns:
    Returns the options.

### getArgument

    public java.lang.Object getArgument()
                                 throws java.lang.InstantiationException

  Gets the argument as an object.

  Overrides:
    `getArgument` in class `OptionArgument`
  Returns:
    an object
  Throws:
    `java.lang.InstantiationException`

### getUsage

    public java.lang.String getUsage()

  Description copied from class: `AbstractArgument`
  Give you a String that can be used in a usage description.

  Overrides:
    `getUsage` in class `OptionArgument`
  Returns:
    String
  See Also:
    `AbstractArgument.getUsage()`

### actionPerformed

    public void actionPerformed(java.awt.event.ActionEvent evt)

  Specified by:
    `actionPerformed` in interface `java.awt.event.ActionListener`
  Overrides:
    `actionPerformed` in class `OptionArgument`
  Parameters:
    `evt` - ActionEvent
  See Also:
    `ActionListener.actionPerformed(java.awt.event.ActionEvent)`

### toString

    public java.lang.String toString()

  Returns a string representation of the object.

  Overrides:
    `toString` in class `AbstractArgument`
  Returns:
    a string representation of the object.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hosted by Hostbasket
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD